/**
 * LatitudeField provides a data entry panel for Degree/Minute/Second values.<p>
 *
 * Copyright &copy; 1998-89 Martin Minow. All Rights Reserved.<p>
 *
 * Permission to use, copy, modify, and redistribute this software and its
 * documentation for personal, non-commercial use is hereby granted provided that
 * this copyright notice and appropriate documentation appears in all copies. This
 * software may not be distributed for fee or as part of commercial, "shareware,"
 * and/or not-for-profit endevors including, but not limited to, CD-ROM collections,
 * online databases, and subscription services without specific license.<p>
 *
 * Based on DateGUI.java in Mastering JavaBeans.
 * @see <a href="http://www.sybase.com">Sybase</a>, click on
 *  "Catalog>Updates>Mastering JavaBeans".
 * @author <a href="mailto:minow@pobox.com">Martin Minow</a>
 * @version 1.0a0
 * Set tabs every 4 characters.
 *
 * Bugs: This should probably be in a utility path, rather than in
 * the astro bean path.
 *
 */
package org.minow.applets.sunsphere;
import java.awt.*;

public class LatitudeField extends DegreeEntryPanel
{
    public LatitudeField()
    {
	this(0.0);
    }
    public LatitudeField(
	    double		initialValue
	)
    {
	super(initialValue, 360, "North");
    }
    public String toString()
    {
	double value	    = getValue();
	return (Utility.getDMSString(value, true));
    }
}
