/**
 * SunSphereConfig defines global constants that configure SunSphere.<p>
 *
 * Copyright &copy; 1996 Martin Minow. All Rights Reserved.<p>
 * World map copyright &copy; 1992-97 Apple Computer Inc. All Rights Reserved.
 * Used by permission.<p>
 *
 * Permission to use, copy, modify, and redistribute this software and its
 * documentation for personal, non-commercial use is hereby granted provided that
 * this copyright notice and appropriate documentation appears in all copies. This
 * software may not be distributed for fee or as part of commercial, "shareware,"
 * and/or not-for-profit endevors including, but not limited to, CD-ROM collections,
 * online databases, and subscription services without specific license.<p>
 *
 * @author <a href="mailto:minow@pobox.com">Martin Minow</a>
 * @version 1.1
 * This applet is Java 1.1 compatible.
 */
package org.minow.applets.sunsphere;

public interface SunSphereConfig
{
    /*
     * These strings will, eventually, be moved into a separate
     * class to facilitate localization.
     */
    public static final String copyright	=
	    "Copyright \u00A9 1996-99 Martin Minow. All Rights Reserved.";
    public static final String author		= "mailto:minow@pobox.com";
    public static final String appletName	= "SunSphere";
    public static final String version		= "1.3 (1998.11.10)";
    public static final String imageName	= "EarthImage360.gif";
    public static final String jarImagePath	= "org/minow/applets/sunsphere/";
    public static final String fileImagePath	= "";
    public static final String aboutSunSphere = 
    "SunSphere displays an image of the earth showing the sunrise/sunset terminator. You\n"
    + "can use the buttons to position the image to any location and spin the image. The solar\n"
    + "calculations use the \"systematic\" algorithm described in the Explanatory Supplement\n"
    + "to the Astronomical Ephemeris by P. Kenneth Seidelmann, Ed. ISBN 0-935702-68-7.\n"
    + "See <http://tycho.usno.navy.mil/> for further details.\n"
    + "The world map image is Copyright \u00A9 Apple Computer Inc., Used by permission.\n"
    ;
    public static final boolean	defaultShowGraphics	= false;
    /*
     * These are used by SunrisePixels.java
     */
    public static final float twilightFactor	= 0.5F;	/* Halfway to darkness	*/
    public static final float nightFactor	= 0.25F; /* Completely dark	*/
}



