/**
 * SunSphereNorthButton displays and manages the user controls.<p>
 *
 * Copyright &copy; 1996 Martin Minow. All Rights Reserved.<p>
 * World map copyright &copy; 1992-97 Apple Computer Inc. All Rights Reserved.
 * Used by permission.<p>
 *
 * Permission to use, copy, modify, and redistribute this software and its
 * documentation for personal, non-commercial use is hereby granted provided that
 * this copyright notice and appropriate documentation appears in all copies. This
 * software may not be distributed for fee or as part of commercial, "shareware,"
 * and/or not-for-profit endevors including, but not limited to, CD-ROM collections,
 * online databases, and subscription services without specific license.<p>
 *
 * @author <a href="mailto:minow@pobox.com">Martin Minow</a>
 * @version 1.2
 * Set tabs every 8 characters.
 */
package org.minow.applets.sunsphere;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class SunSphereNorthButton extends SunSphereButton
{
    public static final String	buttonLabel = "North";
    /*
     * Don't change the width or height without revising the image polygons.
     */
    private static final int	buttonWidth	    = 27;   /* Button dimension by  */
    private static final int	buttonHeight	    = 21;   /* examining the image  */
    private static final int	buttonIcon[]	=
	{
	    0x00000100, 0x00000380, 0x000007C0, 0x00000FE0, /* North */
	    0x00001FF0, 0x00003FF8, 0x00007FFC, 0x000007C0,
	    0x000007C0, 0x000007C0, 0x000007C0, 0x000007C0,
	    0x000007C0, 0x000007C0, 0x000007C0, 0x00000000
	};
    
    public SunSphereNorthButton()
    {
	super(buttonLabel, buttonIcon, buttonWidth, buttonHeight, defaultButtonColor);
    }
}


