/**
 * SunSphereSouthButton displays and manages the user controls.<p>
 *
 * Copyright &copy; 1996 Martin Minow. All Rights Reserved.<p>
 * World map copyright &copy; 1992-97 Apple Computer Inc. All Rights Reserved.
 * Used by permission.<p>
 *
 * Permission to use, copy, modify, and redistribute this software and its
 * documentation for personal, non-commercial use is hereby granted provided that
 * this copyright notice and appropriate documentation appears in all copies. This
 * software may not be distributed for fee or as part of commercial, "shareware,"
 * and/or not-for-profit endevors including, but not limited to, CD-ROM collections,
 * online databases, and subscription services without specific license.<p>
 *
 * @author <a href="mailto:minow@pobox.com">Martin Minow</a>
 * @version 1.2
 * Set tabs every 8 characters.
 */
package org.minow.applets.sunsphere;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class SunSphereSouthButton extends SunSphereButton
{
    public static final String	buttonLabel = "South";
    /*
     * Don't change the width or height without revising the image polygons.
     */
    private static final int	buttonWidth	    = 27;   /* Button dimension by  */
    private static final int	buttonHeight	    = 21;   /* examining the image  */
    private static final int	buttonIcon[]	=
	{	
	    0x000F8000, 0x00000F80, 0x00000F80, 0x00000F80, /* South */
	    0x00000F80, 0x00000F80, 0x00000F80, 0x00000F80,
	    0x0000FFF8, 0x00007FF0, 0x00003FE0, 0x00001FC0,
	    0x00000F80, 0x00000700, 0x00000200, 0x00000000
	};
    
    public SunSphereSouthButton()
    {
	super(buttonLabel, buttonIcon, buttonWidth, buttonHeight, defaultButtonColor);
    }
}


