/**
 * SunSphereWestButton displays and manages the user controls.<p>
 *
 * Copyright &copy; 1996 Martin Minow. All Rights Reserved.<p>
 * World map copyright &copy; 1992-97 Apple Computer Inc. All Rights Reserved.
 * Used by permission.<p>
 *
 * Permission to use, copy, modify, and redistribute this software and its
 * documentation for personal, non-commercial use is hereby granted provided that
 * this copyright notice and appropriate documentation appears in all copies. This
 * software may not be distributed for fee or as part of commercial, "shareware,"
 * and/or not-for-profit endevors including, but not limited to, CD-ROM collections,
 * online databases, and subscription services without specific license.<p>
 *
 * @author <a href="mailto:minow@pobox.com">Martin Minow</a>
 * @version 1.2
 * Set tabs every 8 characters.
 */
package org.minow.applets.sunsphere;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class SunSphereWestButton extends SunSphereButton
{
    public static final String	buttonLabel = "West";
    /*
     * Don't change the width or height without revising the image polygons.
     */
    private static final int	buttonWidth	    = 27;   /* Button dimension by  */
    private static final int	buttonHeight	    = 21;   /* examining the image  */
    private static final int	buttonIcon[]	=
	{   0x0000, 0x0200, 0x0600, 0x0E00, 0x1E00, 0x3FFE, 0x7FFE, 0xFFFE, /* West */
	    0x7FFE, 0x3FFE, 0x1E00, 0x0E00, 0x0600, 0x0200, 0x0000, 0x0000
	};
    
    public SunSphereWestButton()
    {
	super(buttonLabel, buttonIcon, buttonWidth, buttonHeight, defaultButtonColor);
    }
}


